KDE 4.7 PyKDE API Reference

- KDE's Python API

# SunLocator Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Signals

| centerSun (float lon, float lat)
| enableWidgetInput (bool a0)
| updateStars ()
| updateSun ()

## Methods

bool | getCentered (self)
bool | getCitylights (self)
float | getLat (self)
float | getLon (self)
bool | getShow (self)
Marble.Planet | planet (self)
| setCentered (self, bool show)
| setCitylights (self, bool show)
| setPlanet (self, Marble.Planet planet)
| setShow (self, bool show)
| shadePixel (self, long pixcol, float shade)
| shadePixelComposite (self, long pixcol, long dpixcol, float shade)
float | shading (self, float lon, float a, float c)
| update (self)

## Signal Documentation

centerSun | ( | float | lon,
|  | float | lat
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("centerSun(qreal, qreal)"), target_slot)`

enableWidgetInput | ( | bool | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("enableWidgetInput(bool)"), target_slot)`

updateStars | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("updateStars()"), target_slot)`

updateSun | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("updateSun()"), target_slot)`

## Method Documentation

bool getCentered | ( |  | self ) |

bool getCitylights | ( |  | self ) |

float getLat | ( |  | self ) |

float getLon | ( |  | self ) |

bool getShow | ( |  | self ) |

Marble.Planet planet | ( |  | self ) |

setCentered | ( | self, |
|  | bool | show
| ) |  |  |

setCitylights | ( | self, |
|  | bool | show
| ) |  |  |

setPlanet | ( | self, |
|  | Marble.Planet | planet
| ) |  |  |

setShow | ( | self, |
|  | bool | show
| ) |  |  |

shadePixel | ( | self, |
|  | long | pixcol,
|  | float | shade
| ) |  |  |

shadePixelComposite | ( | self, |
|  | long | pixcol,
|  | long | dpixcol,
|  | float | shade
| ) |  |  |

float shading | ( | self, |
|  | float | lon,
|  | float | a,
|  | float | c
| ) |  |  |

update | ( |  | self ) |